Subject: take and check 2061
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>, "Linda Wagner" <[email-masked]>
Date: Tue, 6 Mar 2007 13:40:40 -0500

Hi there,

Here's the take for February - just the wedding deposit and the $10 for the BPW meeting. I took the money out of the cash box but I was sick for the meeting, so I'll use it for the March meeting but obviously won't expense it again. 

I wrote out check 2061 today for $30 to the Port Hope Chamber of Commerce for the yearly dues. 

Questions, please call.
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007 cell 989 670-8196
www.HuronCityMuseums.org